//v-1.0.0
//ajax请求 -> loadXMLDoc(methon,url,callback,dataSub) 退出webview -> exit();
//弹幕 senMsg(str) 最多三行弹幕 超出之后 以occMessage(str)出现
//用户提示信息 occMessage(str)
//sse  makeSse(ur;,function(back){console.log(back)});


function loadXMLDoc(method, url, callback, dataSub) {
	var xmlhttp = new XMLHttpRequest();
	var detail = "";
	var arr = [];
	for(var key in dataSub) {
		var row = key + "=" + dataSub[key];
		arr.push(row);
	}
	detail = arr.join("&");
	xmlhttp.onreadystatechange = function() {
		if(xmlhttp.readyState == XMLHttpRequest.DONE) {
			if(xmlhttp.status == 200) {
				callback(JSON.parse(xmlhttp.responseText));
			} else if(xmlhttp.status == 400) {
				occMessage('There was an error 400');
			} else {
				occMessage('something else other than 200 was returned');
			}
		}
	};
	if(method == "GET") {
		if(detail.length > 0) {
			url = url + "?" + detail;
			detail = null;
		}
		xmlhttp.open("GET", baseURL()+url, true);
	} else if(method == "POST") {
		xmlhttp.open("POST", baseURL()+url, true);
	}

	xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	if(window.IAObj) {
		xmlhttp.setRequestHeader("Authorization", window.IAObj.getJwt());
	} else {
		xmlhttp.setRequestHeader("Authorization", "Bearer " + getParam('Authorization'));
	}
	xmlhttp.send(detail);
}
function baseURL(){
	if(window.IAObj){
		if(window.IAObj.getBaseUrl){
			return window.IAObj.getBaseUrl();
		}else{
			return "";
		}
	}else {
		return "http://test.engdd.com";
//		return "http://v3.qinqinwojia.cn";
	}
}

function getParam(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r != null) return unescape(r[2]);
	return null;
}

function exit() {
	//dir:0发起者，1接受者
	//通讯命令:0开始
	if(checkClient()) {
		var IAMsg = {
			cmd: "24"
		};
		var tJSon = JSON.stringify(IAMsg);
		//jsonz字符串
		IAObj.jsSendCmdJsonStr(tJSon);
	} else {
		alert("未定义客户端桥");
	}
}
function getClientUserId()
{
    if (checkClient()) {
      	return  IAObj.getUserInfo()["userId"];
    }else{
    	return  getParam("loginId");
    }
}

function checkClient() {
	var rClient = false;
	if(typeof(IAObj) != "undefined") {
		rClient = true;
	} else {
		rClient = false;
	}
	return rClient;
}
//弹出提示信息
var tipNow = document.querySelector(".tipNow");
function occMessage(str){
	var tipNowP = document.createElement("p");
	tipNowP.innerHTML = str;
	tipNow.appendChild(tipNowP);
	setTimeout(function(){tipNowP.style.opacity = 1},50);
	setTimeout(function(){tipNowP.style.opacity = 0},1000);
	setTimeout(function(){tipNowP.parentNode.removeChild(tipNowP)},1500);
}
//container css set
function setContainer(){
	document.getElementsByTagName("html")[0].style.fontSize = window.innerWidth / 20 + "px";
	var container = document.getElementById("container");
	container.style.height = window.innerHeight + "px";
	
}
//screen resize func
window.onload = function(){
	setContainer();
}
window.onresize = function(){
	setContainer();
}
//活动弹幕  
var messagePosition = {
	first: true,
	second: true,
	third: true,
	fourth:true
}
function senMsg(str) {
	var div = document.createElement("div");
	var portMessage = document.querySelector(".portMessage");
	div.innerHTML = str;
	div.className = "danmu";
	portMessage.appendChild(div);
	setTimeout(function() {
		if(messagePosition.first == true) {
			div.style.top = 0;
			div.floor = 1;
			messagePosition.first = false;
		} else if(messagePosition.second == true) {
			div.style.top = "2rem";
			div.floor = 2;
			messagePosition.second = false;
		} else if(messagePosition.third == true){  
			div.style.top = "4rem";
			div.floor = 3;
			messagePosition.third = false;
		}else {
			div.className = "";
			div.parentNode.removeChild(div);
			occMessage(str);
		}
		var timeTrue = 7000 * div.offsetWidth / (window.innerWidth * 2);
		setTimeout(function() {
			switch(div.floor) {
				case 1:
					messagePosition.first = true;
					break;
				case 2:
					messagePosition.second = true;
					break;
				case 3:
					messagePosition.third = true;
					break;
				default:
					break;
			}
		}, timeTrue);
	}, 0);
	div.addEventListener("webkitAnimationEnd", function() {
		div.parentNode.removeChild(div);
	});
}

function makeSse(url,func){
	var source = new EventSource(window.IAObj.getBaseUrl() + url);
	var inlineDiv = document.querySelector(".inline");
	var userImgDiv = document.querySelector(".userimg");
	var portMessage = document.querySelector(".portMessage");
	source.addEventListener('delta', function(e) {
		var backMessage = JSON.parse(e.data);
		func(backMessage);
	}, false);
	source.addEventListener('error', function(e) {
		if(e.readyState == EventSource.CLOSED) {
			console.log(["e.readyState == EventSource.CLOSED", e]);
		} else if(e.readyState == EventSource.OPEN) {
			console.log(["e.readyState == EventSource.OPEN", e]);
		}
	}, false);
}

function viewLoading(){
	var loadingDiv = document.querySelector(".loading");
	loadingDiv.style.display = "block";  
}

function closeLoading(){
	var loadingDiv = document.querySelector(".loading");
	loadingDiv.style.display = "none";  
}

function maketime(num){
	var day = parseInt(num / 3600 / 24);
	var hour = parseInt(num % (24 * 3600) / 3600);
	var min = parseInt(num % (24 * 3600) % 3600 / 60);
	var sec = parseInt(num % (24 * 3600) % 3600 % 60);
	hour<10?hour = "0" + hour:null;
	min<10?min = "0" + min :null;
	sec<10?sec = "0" + sec :null;
	return [day,hour,min,sec];
}
//var ws = new WebSocket(“ws://localhost:8080”);
//ws.onopen = function()
//{
//console.log(“open”);
//ws.send(“hello”);
//};
//ws.onmessage = function(evt)  {  console.log(evt.data); };
//ws.onclose   = function(evt)  {  console.log(“WebSocketClosed!”); };
//ws.onerror   = function(evt)  {  console.log(“WebSocketError!”); }; 
